Bug 146964 - crond ORPHAN (no passwd entry) on NIS+ system
crond ORPHAN (no passwd entry) on NIS+ system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: crontabs (Show other bugs)
3.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks: 170445
  Show dependency treegraph
 
Reported: 2005-02-02 20:11 EST by Paul Pluzhnikov
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: vixie-cron-4.1-3_EL3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 10:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Pluzhnikov 2005-02-02 20:11:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
On a system configured to use NIS+, I can login (as user devtest) and
do 'crontab -e' to set up a cron job.

Crond however refuses to run this job:

Feb  2 16:40:07 dev1 crontab[24872]: (devtest) BEGIN EDIT (devtest) 
Feb  2 16:40:19 dev1 crontab[24872]: (devtest) REPLACE (devtest) 
Feb  2 16:40:19 dev1 crontab[24872]: (devtest) END EDIT (devtest) 
Feb  2 16:41:00 dev1 crond[1371]: (devtest) ORPHAN (no passwd entry) 


Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-75.1

How reproducible:
Always

Steps to Reproduce:
1. Set up the system with NIS
2. Login as user without local /etc/passwd entry
3. Use 'crontab -e' to set a cron job
4. Observe that the job does not run
    

Actual Results:  crond does not run scheduled jobs.

Expected Results:  crond should run jobs for users for which
getpwnam() returns a valid entry.

Additional info:
Comment 1 Jason Vas Dias 2005-02-03 10:12:26 EST
This problem is fixed in the latest version of CRON for RHEL-3,
vixie-cron-4.1-3_EL3, which is currently undergoing QA testing
and which should be in RHEL-3-U5 . Meanwhile, you can download
it from:
   http://people.redhat.com/~jvdias/cron/RHEL-3 
Please try this version - it should fix the problem - and let me know.

Comment 2 Paul Pluzhnikov 2005-02-03 12:53:30 EST
Yes, the vixie-cron-4.1-3_EL3 package fixes this.
Thanks.
Comment 3 Jason Vas Dias 2005-10-14 11:37:25 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .

Note You need to log in before you can comment on or make changes to this bug.